org.apache.ignite.stream

## Interface StreamSingleTupleExtractor<T,K,V>

All Known Subinterfaces:
  StreamTupleExtractor<T,K,V>

    public interface StreamSingleTupleExtractor<T,K,V>

Stream tuple extractor to convert a message to a single Ignite key-value tuple.

Alternatively, `StreamMultipleTupleExtractor` can be used in cases where a single message/event may produce more than one tuple.

NOTE: This interface supersedes the former `StreamTupleExtractor` which is now deprecated.

See Also:
  `StreamMultipleTupleExtractor`

### Method Summary

Methods
`Map.Entry<K,V>` `extract(T msg)` Extracts a key-value tuple from a message.

### Method Detail

#### extract

    Map.Entry<K,V> extract(T msg)

Extracts a key-value tuple from a message.

Parameters:
  `msg` - Message.
Returns:
  Key-value tuple.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015